Summary:	The basic tools for setting up networking.
Name:		net-tools
Group:		System Environment/Base
License:	GPL
Version:	1.60
Release:	1
Source0:	http://www.tazenda.demon.co.uk/phil/net-tools/net-tools-%{version}.tar.bz2
Source1:	net-tools-1.60-config.h
Source2:	net-tools-1.60-config.make
Patch0:		net-tools-1.57-Makefile.patch
Patch1:		net-tools-1.60-gcc344-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a collection of the basic tools necessary for setting up networking
on a Linux machine. It includes ifconfig, route, netstat, rarp, and
various other tools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  cp %{SOURCE1} ./config.h
  cp %{SOURCE2} ./config.make
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,5,8}
  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}

  make BASEDIR=$RPM_BUILD_ROOT install

  strip $RPM_BUILD_ROOT/%{_root_bindir}/*
  strip $RPM_BUILD_ROOT/%{_root_sbindir}/*

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_root_bindir}/{nisdomainname,ypdomainname}
  rm -f  $RPM_BUILD_ROOT/%{_root_sbindir}/{ipmaddr,iptunnel,plipconfig,slattach}
  rm -fr $RPM_BUILD_ROOT/%{_mandir}/*/man?

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man[158]/*

  %attr(0444,root,root)		%{_datadir}/locale/*/LC_MESSAGES/*.mo
  %attr(0511,root,root)		%{_root_bindir}/dnsdomainname
  %attr(0511,root,root)		%{_root_bindir}/hostname
  %attr(0511,root,root)		%{_root_bindir}/domainname
  %attr(0510,root,admin)	%{_root_bindir}/netstat
  %attr(0510,root,admin)	%{_root_sbindir}/arp
  %attr(0510,root,admin)	%{_root_sbindir}/ifconfig
  %attr(0510,root,admin)	%{_root_sbindir}/nameif
  %attr(0510,root,admin)	%{_root_sbindir}/rarp
  %attr(0510,root,admin)	%{_root_sbindir}/route

%changelog
* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.60, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
